// protector for Logitech unifying receiver
//
// Copyright (c) 2019 Kenneth D. Ryan
//
//  This work is licensed under a Creative Commons 
//  Attribution-NonCommercial-ShareAlike 4.0 International 
//  License.
//
//  http://creativecommons.org/licenses/by-nc-sa/4.0
//

// dimensions of receiver cap
cap_width = 14.35;
cap_depth = 6.60;
cap_height = 3.1;

// plug dimensions
plug_width = 12.02;
plug_depth = 5;

// standoff from laptop body
standoff = 0.4;

// ratio of bottom to top
base_ratio = 1.7;

// calculated stuff
total_height = cap_height + standoff;
base_width = cap_width * base_ratio;
base_depth = cap_depth * base_ratio;


difference () {

    // outside body
    linear_extrude(height = total_height, scale = 1/base_ratio)
        square([base_width, base_depth], center = true);

    union () {
        // plug hole
        translate([0, 0, -0.5])
          linear_extrude(height = total_height + 1)
            square([plug_width, plug_depth], center = true);

        // cap hole
        translate([0, 0, standoff])
          linear_extrude(height = cap_height + 1)
            square([cap_width, cap_depth], center = true);
            
    }

}

